setwd("C:/Users/Laure/Desktop")
install.packages("mlxR")
install.packages("ggplot2")

library("ggplot2")
library("mlxR")

N=400
adm.time <- seq(10,200,by=12)

trt3 <- list(time=adm.time, amount= 50)

pop.param   <- c(
  Tk0_pop   = 3,    omega_Tk0   = 0.2,
  V_pop     = 10,   omega_V     = 0.2,
  Cl_pop    = 1,    omega_Cl    = 0.2,
  E0_pop    = 10,  omega_E0    = 0.1,
  IC50_pop  = 3,    omega_IC50  = 0.1,
  kout_pop=0.4, omega_kout=0.1)
g3<- list(treatment = trt3, size=N, level='individual')
f <- list(name = c('C','E'), 
          time = seq(0,250,by=2))
res <- simulx(model     = "pkpdsimulx.txt",
              parameter = pop.param,
              output    = f,group=g3)

prctilemlx(res$C)
prctilemlx(res$E)
