install.packages("mlxR")
install.packages("ggplot2")

library("ggplot2")
library("mlxR")

pop.param <- c(V1_pop  = ,  omega_V1  = , 
               V2_pop  = ,  omega_V2  = , 
               Q_pop   = ,  omega_Q   = , 
               cl_pop  = , omega_cl  = )
N = # number of Monte-Carlo simulations

trt1 <- list(time=c(, , ), amount=c(, ,)) # dose 1 = 240 mg
trt2 <- list(time=c(, , ), amount=c(, ,)) # dose 2 = 400 mg
g1  <- list(treatment = trt1, size=N, level='individual')
g2  <- list(treatment = trt2, size=N, level='individual')

res2 <- simulx(model= "pkpopnivolumab.txt",
               parameter= pop.param,
               group= list(g1,g2),
               output= list(name='Cc', time=seq(, , by= )))

prctilemlx(res2$Cc, number=2, level=90)
